@import 'package:angular_components/material_dialog/mixins';
@import 'package:angular_components/material_list/mixins';
@import 'package:angular_components/css/material/material';
@import 'package:angular_components/material_slider/mixins';

:host{
  position: absolute;
}

$primary-color: #0E1F2B;
$secondary-color: #03a9f4;
$background-color: #EEEEEE;
$dark-background-color: #616161;
$dark-theme-text-color: white;
$primary-text-color: white;
$inactive-text-color: #999999;

.text_white{
  color: white !important;
}

material-dialog{
  @include material-dialog-body-padding(0px);
  @include material-dialog-header-padding(0px);
  @include material-dialog-header-color($background-color);

  ::ng-deep .wrapper > footer {
      background-color: $primary-color;
  }
}

.selected-color-outside-preview{
  border-radius: 50%;
  min-width: 35px;
  height: 35px;
  position: relative;
  top: -2px;
  margin: 0 !important;

}

.dialog-color-input{
  width: 75%;
  top: 12px;
  position: relative;
  padding: 0 !important;

  ::ng-deep {
    .input{
      text-align: center;
    }
  }
}

.align-center{
  display: flex;
  justify-content: center;
}

.align-evenly{
  display: flex;
  justify-content: space-evenly;
}

.horizontal-align{
  display: flex;
  flex-direction: column;
}


#clearButton{
  position: absolute;
  right: -4px;
  top: 15px;
}

#selectedColorOutsidePreviewCont{
  display: inline-block;
  position: relative;
  top: -12px;
  border-radius: 50%;
  height: 35px;
  margin: 0 5px;
}

#colorPickerFooter{
  padding: 8px 0 0 0;
}

#colorPickerHeader{
  padding: 0;
}

#editorContainer{
  height: 250px;
  background-color: $background-color;
}

#colorPreview{
  height: 48px;
  width: 100%;
}

#colorHolder{
  padding: 7px 7px;
  position: relative;
}

#gradientEditor{
  position: relative;
  top: 9px;
}

.alpha-background{
  background-image: linear-gradient(to right,rgba(192,192,192,0.75),rgba(192,192,192,0.75)),linear-gradient(to right,black 50%,white 50%),linear-gradient(to bottom,black 50%,white 50%);
  background-blend-mode: normal,difference,normal;
  background-size: 0.5em 0.5em;
}

material-list{
  display: flex;
  padding: 0;
}

.text-center{
  width: 100%;
  text-align: center;
}

.flex-item{
  flex: 1;
}

material-list-item{
  color: $inactive-text-color;
  height: 48px;
}

#colorInputTab{
  background-color: $primary-color;
}

#colorInputTab > .flex-item.no-outline.item.selectedListItem,
#colorInputTab > .flex-item.no-outline.item:focus{
  color: $secondary-color !important;
  background-color: $background-color !important;
}

#colorInputTab > .flex-item.no-outline.item:hover{
  background-color: $primary-color;
  color: $primary-text-color;
}

#editorTab{
  background-color: $primary-color;
}

#editorTab > .no-outline.item:hover{
  background-color: $primary-color;
  color: $primary-text-color;
}

#editorTab > .no-outline.item.selectedListItem,
#editorTab > .no-outline.item:focus{
    color: $secondary-color !important;
    background-color: $background-color !important;
}

/* editor */

.hideCursor{
  cursor: none !important;
}

.crosshair-cursor{
  cursor: crosshair;
}

/*#canvasSVMouse{
  cursor: crosshair;
}*/

.canvas-border{
  border:1px solid $primary-color;
}

.color-slider{
}

#sliderContainer{
  @include slider-thumb-color('.red-slider', $mat-red-900);
  @include slider-track-color('.red-slider', $mat-red-600, $mat-grey-500);

  @include slider-thumb-color('.green-slider', $mat-green-900);
  @include slider-track-color('.green-slider', $mat-green-600, $mat-grey-500);

  @include slider-thumb-color('.blue-slider', $mat-blue-900);
  @include slider-track-color('.blue-slider', $mat-blue-600, $mat-grey-500);

  padding: 20px 25px 0 25px;
}

.color-cont{
  display: flex;
}

.value-cont{
  display: flex;
  flex-direction: column;
}

.color-button-cont{
  display: contents;
}

.color-grid-button{
  margin: 0!important;
  min-width: 19px !important;
  height: 17.85px !important;
  border-radius: 0 !important;
}

.color-cont-list{

}

.value-cont-list-header{
  font-size: 50px;
  padding: 20px;
  text-align: center;
  flex: 1;
}

.value-cont-list{
  display: flex;
  flex-direction: column;
  margin-bottom: 10px;
}

.color-button-cont-list{
  display: flex;
}

.color-grid-button-list{
  margin: 0!important;
  border-radius: 0 !important;
  flex: 1;
  height: 40px;
}

.overflow-container{
  position: relative;
  /* width: 360px; */
  padding: 8px 8px 0px 8px;
  overflow-y: scroll;
  /* min-height: 250px; */
  height: 242px;
}

.overflow-container::-webkit-scrollbar {
  width: 8px;
}

.overflow-container::-webkit-scrollbar-thumb {
  background: $dark-background-color;
}

.color-cont-history{
  width: 100%;
  margin-bottom: 5px;
}

.color-grid-button-history{
  width: 100%;
}